#include "gui.h"
#include "bitmap.h"
#include "drawwin.h"
#include "gadgets.h"
#include "menu.h"
#include "screen.h"
#include "toolwin.h"
#include "visual.h"
#include "fractal.h"

int openGUI(UBYTE depth, UWORD width, UWORD height, ULONG displayid)
{
	return openScreen(depth, width, height, displayid) &&
				 createBitmap() && createVisual() &&
				 createMenuStrip() && createGadgets() &&
				 openToolWin() && openDrawWin();
}

void closeGUI()
{
	stopFractal();
	closeDrawWin();
	closeToolWin();
	freeGadgets();
	freeMenuStrip();
	freeVisual();
	freeBitmap();
	closeScreen();
}